Debian Bug report logs - #621820
xfce4-netload-plugin: Needs to be ported from if_ppp to ppp(8) on GNU/kFreeBSD

version graph

Package: xfce4-netload-plugin; Maintainer for xfce4-netload-plugin is Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>; Source for xfce4-netload-plugin is src:xfce4-netload-plugin.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sat, 9 Apr 2011 04:06:03 UTC

Severity: serious

Tags: patch

Merged with 624411

Found in versions xfce4-netload-plugin/1.0.0-2, xfce4-netload-plugin/1.0.0-1

Fixed in version xfce4-netload-plugin/1.0.0-3

Done: Yves-Alexis Perez <corsac@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.xfce.org/show_bug.cgi?id=7481

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#621820; Package src:xfce4-netload-plugin. (Sat, 09 Apr 2011 04:06:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Sat, 09 Apr 2011 04:06:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xfce4-netload-plugin: FTBFS on kfreebsd-*: os.h:125:28: error: net/ppp_defs.h: No such file or directory
Date: Sat, 09 Apr 2011 06:03:06 +0200
Source: xfce4-netload-plugin
Version: 1.0.0-1
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package no longer builds on kfreebsd-*:
| […] xfce4_netload_plugin-netload.o `test -f 'netload.c' || echo './'`netload.c
| In file included from net.h:25,
|                  from netload.c:26:
| os.h:125:28: error: net/ppp_defs.h: No such file or directory
| os.h:126:26: error: net/if_ppp.h: No such file or directory
| make[3]: *** [xfce4_netload_plugin-netload.o] Error 1

Full build logs:
  https://buildd.debian.org/status/package.php?p=xfce4-netload-plugin&suite=experimental

KiBi.




Set Bug forwarded-to-address to 'https://bugzilla.xfce.org/show_bug.cgi?id=7481'. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sat, 09 Apr 2011 08:09:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#621820; Package src:xfce4-netload-plugin. (Mon, 25 Apr 2011 10:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Mon, 25 Apr 2011 10:33:07 GMT) Full text and rfc822 format available.

Message #12 received at 621820@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 621820@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#621820: xfce4-netload-plugin: FTBFS on kfreebsd-*: os.h:125:28: error: net/ppp_defs.h: No such file or directory
Date: Mon, 25 Apr 2011 12:28:01 +0200
[Message part 1 (text/plain, inline)]
tag 621820 +help
thanks
On sam., 2011-04-09 at 06:03 +0200, Cyril Brulebois wrote:
> Source: xfce4-netload-plugin
> Version: 1.0.0-1
> Severity: serious
> Justification: FTBFS
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> 
> Hi,
> 
> your package no longer builds on kfreebsd-*:
> | […] xfce4_netload_plugin-netload.o `test -f 'netload.c' || echo './'`netload.c
> | In file included from net.h:25,
> |                  from netload.c:26:
> | os.h:125:28: error: net/ppp_defs.h: No such file or directory
> | os.h:126:26: error: net/if_ppp.h: No such file or directory
> | make[3]: *** [xfce4_netload_plugin-netload.o] Error 1
> 
> Full build logs:
>   https://buildd.debian.org/status/package.php?p=xfce4-netload-plugin&suite=experimental
> 
> KiBi.

On Linux arches net/ppp_defs.h and net/if_ppp.h are provided by
libc6-dev. On kFreeBSD it's a bit different, the headers are only
provided in (versioned) kfreebsd-headers-* packages, and they are
located in /usr/src/kfreebsd-headers-8.2-1/sys/ 

I don't think it's a good idea to build-dep on versioned kernel headers
nor passing a (versioned) -I to the build, that'd be too much trouble.

Any idea how to fix that?

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#621820; Package src:xfce4-netload-plugin. (Mon, 25 Apr 2011 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Mon, 25 Apr 2011 21:48:03 GMT) Full text and rfc822 format available.

Message #17 received at 621820@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 621820@bugs.debian.org, control@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, debian-bsd@lists.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#621820: Bug#621820: xfce4-netload-plugin: FTBFS on kfreebsd-*: os.h:125:28: error: net/ppp_defs.h: No such file or directory
Date: Mon, 25 Apr 2011 23:45:00 +0200
[Message part 1 (text/plain, inline)]
reassign 621820 kfreebsd-kernel-headers

On lun., 2011-04-25 at 12:28 +0200, Yves-Alexis Perez wrote:
> On Linux arches net/ppp_defs.h and net/if_ppp.h are provided by
> libc6-dev. On kFreeBSD it's a bit different, the headers are only
> provided in (versioned) kfreebsd-headers-* packages, and they are
> located in /usr/src/kfreebsd-headers-8.2-1/sys/ 
> 
> I don't think it's a good idea to build-dep on versioned kernel
> headers
> nor passing a (versioned) -I to the build, that'd be too much trouble.
> 
> Any idea how to fix that?
> 
After discussing this with Cyril on irc it seems the solution might be
to include the relevant header files in kfreebsd-kernel-headers, so
reassigning.

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'src:xfce4-netload-plugin' to 'kfreebsd-kernel-headers'. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 21:48:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xfce4-netload-plugin/1.0.0-1. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 21:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#621820; Package kfreebsd-kernel-headers. (Thu, 28 Apr 2011 08:54:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 28 Apr 2011 08:54:17 GMT) Full text and rfc822 format available.

Message #26 received at 621820@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Julien Cristau <jcristau@debian.org>, 624411@bugs.debian.org, 621820@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#624411: xfce4-netload-plugin: FTBFS on kfreebsd
Date: Thu, 28 Apr 2011 10:52:50 +0200
reassign 624411 kfreebsd-kernel-headers
forcemerge 621820 624411
affects 621820 xfce4-netload-plugin
thanks

On jeu., 2011-04-28 at 10:43 +0200, Julien Cristau wrote:
> Package: xfce4-netload-plugin
> Version: 1.0.0-2
> Severity: serious
> Justification: fails to build from source (but built successfully in the past)
> 
> See https://buildd.debian.org/status/package.php?p=xfce4-netload-plugin
> 

See #621820 and the discussion there.

-- 
Yves-Alexis





Forcibly Merged 621820 624411. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Thu, 28 Apr 2011 08:54:25 GMT) Full text and rfc822 format available.

Added indication that 621820 affects xfce4-netload-plugin Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Thu, 28 Apr 2011 08:54:27 GMT) Full text and rfc822 format available.

Added indication that bug 621820 blocks 627925 Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Wed, 25 May 2011 14:55:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#621820; Package kfreebsd-kernel-headers. (Wed, 25 May 2011 16:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 25 May 2011 16:57:02 GMT) Full text and rfc822 format available.

Message #37 received at 621820@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>, 621820@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, debian-bsd@lists.debian.org
Subject: Re: Bug#621820: [Pkg-xfce-devel] Bug#621820: Bug#621820: xfce4-netload-plugin: FTBFS on kfreebsd-*: os.h:125:28: error: net/ppp_defs.h: No such file or directory
Date: Wed, 25 May 2011 18:54:33 +0200
Hi!

On Mon, 2011-04-25 at 23:45:00 +0200, Yves-Alexis Perez wrote:
> reassign 621820 kfreebsd-kernel-headers
> 
> On lun., 2011-04-25 at 12:28 +0200, Yves-Alexis Perez wrote:
> > On Linux arches net/ppp_defs.h and net/if_ppp.h are provided by
> > libc6-dev. On kFreeBSD it's a bit different, the headers are only
> > provided in (versioned) kfreebsd-headers-* packages, and they are
> > located in /usr/src/kfreebsd-headers-8.2-1/sys/ 
> > 
> > I don't think it's a good idea to build-dep on versioned kernel
> > headers
> > nor passing a (versioned) -I to the build, that'd be too much trouble.
> > 
> > Any idea how to fix that?

> After discussing this with Cyril on irc it seems the solution might be
> to include the relevant header files in kfreebsd-kernel-headers, so
> reassigning.

kFreeBSD 8.0+ does not have if_ppp any longer, so this is not
possible, the fix upstream proposes seems to be to port to ppp(8), as
seen from the removal commit log:

  <http://www.mail-archive.com/svn-src-all@freebsd.org/msg07293.html>

  <http://www.freebsd.org/cgi/man.cgi?query=ppp&sektion=8>

This bug should be reassigned back I guess.

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#621820; Package kfreebsd-kernel-headers. (Sun, 31 Jul 2011 05:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 31 Jul 2011 05:42:03 GMT) Full text and rfc822 format available.

Message #42 received at 621820@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 621820@bugs.debian.org
Cc: xfce4-netload-plugin@packages.debian.org
Subject: Re: Bug#621820: xfce4-netload-plugin: FTBFS on kfreebsd-*: os.h:125:28: error: net/ppp_defs.h: No such file or directory
Date: Sun, 31 Jul 2011 07:39:40 +0200
block 621820 by 577494
reassign 621820 xfce4-netload-plugin
retitle 621820 xfce4-netload-plugin: Needs to be ported from if_ppp to ppp(8) on GNU/kFreeBSD
thanks

Hi!

On Wed, 2011-05-25 at 18:54:33 +0200, Guillem Jover wrote:
> On Mon, 2011-04-25 at 23:45:00 +0200, Yves-Alexis Perez wrote:
> > reassign 621820 kfreebsd-kernel-headers
> > 
> > On lun., 2011-04-25 at 12:28 +0200, Yves-Alexis Perez wrote:
> > > On Linux arches net/ppp_defs.h and net/if_ppp.h are provided by
> > > libc6-dev. On kFreeBSD it's a bit different, the headers are only
> > > provided in (versioned) kfreebsd-headers-* packages, and they are
> > > located in /usr/src/kfreebsd-headers-8.2-1/sys/ 
> > > 
> > > I don't think it's a good idea to build-dep on versioned kernel
> > > headers
> > > nor passing a (versioned) -I to the build, that'd be too much trouble.
> > > 
> > > Any idea how to fix that?
> 
> > After discussing this with Cyril on irc it seems the solution might be
> > to include the relevant header files in kfreebsd-kernel-headers, so
> > reassigning.
> 
> kFreeBSD 8.0+ does not have if_ppp any longer, so this is not
> possible, the fix upstream proposes seems to be to port to ppp(8), as
> seen from the removal commit log:
> 
>   <http://www.mail-archive.com/svn-src-all@freebsd.org/msg07293.html>
> 
>   <http://www.freebsd.org/cgi/man.cgi?query=ppp&sektion=8>
> 
> This bug should be reassigned back I guess.

Done so now, we don't currently have ppp for GNU/kFreeBSD yet but
once xfce4-netload-plugin gets ported to it, that would not disallow
the package from being built any longer.

regards,
guillem




Added blocking bug(s) of 621820: 577494 Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 31 Jul 2011 05:42:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'kfreebsd-kernel-headers' to 'xfce4-netload-plugin'. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 31 Jul 2011 05:42:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'xfce4-netload-plugin: Needs to be ported from if_ppp to ppp(8) on GNU/kFreeBSD' from 'xfce4-netload-plugin: FTBFS on kfreebsd-*: os.h:125:28: error: net/ppp_defs.h: No such file or directory' Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 31 Jul 2011 05:42:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#621820; Package xfce4-netload-plugin. (Sun, 31 Jul 2011 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Sun, 31 Jul 2011 08:33:03 GMT) Full text and rfc822 format available.

Message #53 received at 621820@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Guillem Jover <guillem@debian.org>
Cc: 621820@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#621820: xfce4-netload-plugin: FTBFS on kfreebsd-*: os.h:125:28: error: net/ppp_defs.h: No such file or directory
Date: Sun, 31 Jul 2011 10:28:32 +0200
On dim., 2011-07-31 at 07:39 +0200, Guillem Jover wrote:
> Done so now, we don't currently have ppp for GNU/kFreeBSD yet but
> once xfce4-netload-plugin gets ported to it, that would not disallow
> the package from being built any longer. 

To be honest, I'm not really sure that'll happen at all, sadly.

Regards,
-- 
Yves-Alexis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#621820; Package xfce4-netload-plugin. (Sun, 31 Jul 2011 15:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Sun, 31 Jul 2011 15:12:03 GMT) Full text and rfc822 format available.

Message #58 received at 621820@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 621820@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#621820: xfce4-netload-plugin: FTBFS on kfreebsd-*: os.h:125:28: error: net/ppp_defs.h: No such file or directory
Date: Sun, 31 Jul 2011 17:09:19 +0200
[Message part 1 (text/plain, inline)]
tags 621820 patch
thanks

Hi!

On Sun, 2011-07-31 at 10:28:32 +0200, Yves-Alexis Perez wrote:
> On dim., 2011-07-31 at 07:39 +0200, Guillem Jover wrote:
> > Done so now, we don't currently have ppp for GNU/kFreeBSD yet but
> > once xfce4-netload-plugin gets ported to it, that would not disallow
> > the package from being built any longer. 
> 
> To be honest, I'm not really sure that'll happen at all, sadly.

Actually, this does not seem to be needed at all! Just checked the
sources and found out no PPP related stuff is being used there. So
just removing the headers does the trick. This should proably be
done for all systems and not just FreeBSD and GNU/kFreeBSD, but
I've not tested anywhere else so...

There's actually a similar patch for exactly this purpose in 0.4.0-4
that seems to have been lost in the way?

regards,
guillem
[xfce4-netload-plugin_ppp_headers.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 31 Jul 2011 15:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#621820; Package xfce4-netload-plugin. (Sun, 31 Jul 2011 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Sun, 31 Jul 2011 15:39:03 GMT) Full text and rfc822 format available.

Message #65 received at 621820@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Guillem Jover <guillem@debian.org>
Cc: 621820@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#621820: xfce4-netload-plugin: FTBFS on kfreebsd-*: os.h:125:28: error: net/ppp_defs.h: No such file or directory
Date: Sun, 31 Jul 2011 17:37:18 +0200
[Message part 1 (text/plain, inline)]
On dim., 2011-07-31 at 17:09 +0200, Guillem Jover wrote:
> > To be honest, I'm not really sure that'll happen at all, sadly.
> 
> Actually, this does not seem to be needed at all! Just checked the
> sources and found out no PPP related stuff is being used there. So
> just removing the headers does the trick. This should proably be
> done for all systems and not just FreeBSD and GNU/kFreeBSD, but
> I've not tested anywhere else so...

Well, at least your patch builds and works fine for standard usage on
Linux (I didn't test with a ppp link though).
> 
> There's actually a similar patch for exactly this purpose in 0.4.0-4
> that seems to have been lost in the way? 

I thought it was included upstream but it might have been dropped again
for unknown reasons.

Thank you anyway!
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Sun, 31 Jul 2011 15:51:03 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sun, 31 Jul 2011 15:51:03 GMT) Full text and rfc822 format available.

Message #70 received at 621820-close@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 621820-close@bugs.debian.org
Subject: Bug#621820: fixed in xfce4-netload-plugin 1.0.0-3
Date: Sun, 31 Jul 2011 15:48:31 +0000
Source: xfce4-netload-plugin
Source-Version: 1.0.0-3

We believe that the bug you reported is fixed in the latest version of
xfce4-netload-plugin, which is due to be installed in the Debian FTP archive:

xfce4-netload-plugin_1.0.0-3.debian.tar.gz
  to main/x/xfce4-netload-plugin/xfce4-netload-plugin_1.0.0-3.debian.tar.gz
xfce4-netload-plugin_1.0.0-3.dsc
  to main/x/xfce4-netload-plugin/xfce4-netload-plugin_1.0.0-3.dsc
xfce4-netload-plugin_1.0.0-3_amd64.deb
  to main/x/xfce4-netload-plugin/xfce4-netload-plugin_1.0.0-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 621820@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yves-Alexis Perez <corsac@debian.org> (supplier of updated xfce4-netload-plugin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 31 Jul 2011 17:38:59 +0200
Source: xfce4-netload-plugin
Binary: xfce4-netload-plugin
Architecture: source amd64
Version: 1.0.0-3
Distribution: unstable
Urgency: low
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Changed-By: Yves-Alexis Perez <corsac@debian.org>
Description: 
 xfce4-netload-plugin - network load monitor plugin for the Xfce4 panel
Closes: 621820
Changes: 
 xfce4-netload-plugin (1.0.0-3) unstable; urgency=low
 .
   * debian/patches:
     - 02_drop_ppp_headers added, fix FTBFS on kFreeBSD, thanks Guillem Jover.
                                                                 closes: #621820
   * debian/rules:
     - switch to dh tiny rules.
   * debian/control:
     - drop build-dep on cdbs.
     - add build-dep on debhelper >= 7.0.50~ for overrides.
   * debian/docs added.
Checksums-Sha1: 
 5cda5ff8aa9023577981c68b55173764a0f10bca 2153 xfce4-netload-plugin_1.0.0-3.dsc
 bdf66dffa744441c607b18b6fb6ae32a798253a9 4241 xfce4-netload-plugin_1.0.0-3.debian.tar.gz
 c8a5a21da1a819766b1604c5991c93828f458706 66476 xfce4-netload-plugin_1.0.0-3_amd64.deb
Checksums-Sha256: 
 7200d78e87a2dd00670ffb673aedc5c4127137fd5aff30dbb4c2a471dbd16dfb 2153 xfce4-netload-plugin_1.0.0-3.dsc
 6731a5d9ce5531ccd45a328bfcc1cefd2cfee8c92490b7826435c86e96dd82dd 4241 xfce4-netload-plugin_1.0.0-3.debian.tar.gz
 8f914fbeb042d96d85d39d9a9767f564403115b624cbfce26277a644c487085e 66476 xfce4-netload-plugin_1.0.0-3_amd64.deb
Files: 
 32373ae4a23da0639482f350ec7ed9d4 2153 xfce optional xfce4-netload-plugin_1.0.0-3.dsc
 ca313aab38750f52be1929c923402775 4241 xfce optional xfce4-netload-plugin_1.0.0-3.debian.tar.gz
 dd3e0d0e527c4e98e6aee226f49144d8 66476 xfce optional xfce4-netload-plugin_1.0.0-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJONXezAAoJEDBVD3hx7wuoNJ0QAIOrSFj4RBMSPRgWgU4PRdhb
sEVETp+0mwfCRTEvlbLURYV9wrU6Zus9LIXLMD72jEEr44BfvUJ9bGnZ282qkJPp
hz1bb3yciYeQ/wadAjjC69aQ6tC/acp+kgFgmEgsRKDnZMncdp//0ECUJcvFL6VA
7jSCBDui0moc7eWQpvWMPAjrNcqYRfsxAKFo8GPDeYsOIUp6xonJj48XDD9UzJcv
hH9tERxSrgJnNwXMQ4pO/nzYwFhqV1wHdQ7TjSGnRQNpk0L1VXLX3DVe8gbwRErn
t3uzkjtTUeCm4NNAGGNamWsWe0akkPJCosVEsGUyyKkFAQmVuC8wrM6UpEmmAY6J
S8/ggLjpgIrgHQ9eOtB8hP53WdLMO1xeYvexQiVvbuOrmHRg2BeeAnAvW9H0oQSD
YZkoSm9G4MlnXMmS4km5KBCkFN/OIpM+Mh8iQs77I63jQxR1cVc+QRuFn0/1NAei
Y2McHvU2Fo1/xfpNwhtpsC2u4sxo9gRoDhM+ypTcKHRDHSSwSN3bgwyHegghhXxD
YrIm7aZr2chhzvv2ctLLkBTiWMMRh/DO9i7fRJa0+hJcyZbntrJVeBfiV6BWyodH
QmKE5Rqd6AXvC31ehnbr8nj1QOLqv9IzA+E98z1M8P9gO7+K+5Gqa/yLW/a+uSxU
b/HxC4FY30lkgjw0gctw
=7uno
-----END PGP SIGNATURE-----





Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Sun, 31 Jul 2011 15:51:04 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Sun, 31 Jul 2011 15:51:04 GMT) Full text and rfc822 format available.

Marked as found in versions xfce4-netload-plugin/1.0.0-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 14 Jul 2012 14:51:08 GMT) Full text and rfc822 format available.

Marked as found in versions xfce4-netload-plugin/1.0.0-2. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 14 Jul 2012 14:51:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Aug 2012 07:25:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:05:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.